%define upstream_name    Test-POE-Server-TCP
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A POE Component providing TCP server services for test cases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(POE) >= 1.4.0
BuildRequires: perl(POE::Filter)
BuildRequires: perl(POE::Filter::Line)
BuildRequires: perl(POE::Wheel::ReadWrite)
BuildRequires: perl(POE::Wheel::SocketFactory)
BuildRequires: perl(Socket) >= 2.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
Test::POE::Server::TCP is a the POE manpage component that provides a TCP
server framework for inclusion in client component test cases, instead of
having to roll your own.

Once registered with the component, a session will receive events related
to client connects, disconnects, input and flushed output. Each of these
events will refer to a unique client ID which may be used in communication
with the component when sending data to the client or disconnecting a
client connection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/Test

%changelog
* Sun May 08 2016 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 1010787
- update to 1.20

* Thu Feb 18 2016 umeabot <umeabot> 1.180.0-2.mga6
+ Revision: 967038
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.180.0-1.mga6
+ Revision: 848008
- update to 1.18

* Wed Oct 15 2014 umeabot <umeabot> 1.160.0-5.mga5
+ Revision: 746905
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.160.0-4.mga5
+ Revision: 686509
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.160.0-3.mga4
+ Revision: 515243
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 373675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 1.160.0-1.mga2
+ Revision: 116437
- update to 1.16

* Sun Jan 23 2011 jquelin <jquelin> 1.140.0-1.mga1
+ Revision: 34260
- mageia rebuild
- imported package perl-Test-POE-Server-TCP

